AbstractRegistry (Mule ESB 2.2.1 API)
Keywords: org.mule.registry.AbstractRegistry class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.registry
Class AbstractRegistry

    java.lang.Object
      org.mule.registry.AbstractRegistry

All Implemented Interfaces:
  Disposable, Initialisable, Registry

Direct Known Subclasses:
  SpringRegistry, TransientRegistry

    public abstract class AbstractRegistry

extends Object
implements Registry

Field Summary
`protected Log` | `logger`

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Disposable
`PHASE_NAME`

Constructor Summary
`protected` | `AbstractRegistry(String id)` Default Constructor

Method Summary
`void` | `dispose()` A lifecycle method where implementor should free up any resources.
`protected abstract void` | `doDispose()`
`protected abstract void` | `doInitialise()`
`String` | `getRegistryId()`
`void` | `initialise()` Method used to perform any initialisation work.
`Object` | `lookupObject(Class type)` Look up a single object by type.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.mule.api.registry.Registry
`isReadOnly, isRemote, lookupObject, lookupObjects, registerObject, registerObject, registerObjects, unregisterObject, unregisterObject`

Field Detail

### logger

    protected transient Log logger

Constructor Detail

### AbstractRegistry

    protected AbstractRegistry(String id)

  Default Constructor

Method Detail

### dispose

    public final void dispose()

  Description copied from interface: `Disposable`
  A lifecycle method where implementor should free up any resources. If an exception is thrown it should just be logged and processing should continue. This method should not throw Runtime exceptions.

  Specified by:
    `dispose` in interface `Disposable`

### doInitialise

    protected abstract void doInitialise()
                                  throws InitialisationException

  Throws:
    `InitialisationException`

### doDispose

    protected abstract void doDispose()

### initialise

    public final void initialise()
                          throws InitialisationException

  Description copied from interface: `Initialisable`
  Method used to perform any initialisation work. If a fatal error occurs during initialisation an `InitialisationException` should be thrown, causing the Mule instance to shutdown. If the error is recoverable, say by retrying to connect, a `RecoverableException` should be thrown. There is no guarantee that by throwing a Recoverable exception that the Mule instance will not shut down.

  Specified by:
    `initialise` in interface `Initialisable`
  Throws:
    `InitialisationException` - if a fatal error occurs causing the Mule instance to shutdown
    `RecoverableException` - if an error occurs that can be recovered from

### lookupObject

    public Object lookupObject(Class type)
                        throws RegistrationException

  Description copied from interface: `Registry`
  Look up a single object by type.

  Specified by:
    `lookupObject` in interface `Registry`
  Returns:
    object or null if not found
  Throws:
    `RegistrationException` - if more than one object is found.

### getRegistryId

    public final String getRegistryId()

  Specified by:
    `getRegistryId` in interface `Registry`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.